Encryption Protectors - List By Server

Sunucu şifreleme koruyucularının listesini alır

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/encryptionProtector?api-version=2025-01-01

URI Parametreleri

Name İçinde Gerekli Tür Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.

serverName
path True

string

Sunucunun adı.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Name Tür Description
200 OK

EncryptionProtectorListResult

Azure işlemi başarıyla tamamlandı.

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Flow.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

List encryption protectors by server

Örnek isteği

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector?api-version=2025-01-01

Örnek yanıt

{
  "value": [
    {
      "name": "current",
      "type": "Microsoft.Sql/servers/encryptionProtector",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
      "kind": "azurekeyvault",
      "location": "Japan East",
      "properties": {
        "serverKeyName": "someVault_someKey_01234567890123456789012345678901",
        "serverKeyType": "AzureKeyVault",
        "uri": "https://someVault.vault.azure.net/keys/someKey/01234567890123456789012345678901"
      }
    }
  ]
}

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

EncryptionProtector

Sunucu şifreleme koruyucusu.

EncryptionProtectorListResult

EncryptionProtector listesi işleminin yanıtı.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

ServerKeyType

'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

EncryptionProtector

Sunucu şifreleme koruyucusu.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Bir tür şifreleme koruyucusu. Bu, Azure portal deneyimi için kullanılan meta veridir.

location

string

Kaynak konumu.

name

string

Kaynağın adı

properties.autoRotationEnabled

boolean

Anahtar otomatik döndürme kabul etme bayrağı. True veya false.

properties.keyVersion

string

Şifreleme koruyucusu olarak kullanılan sunucu anahtarının sürümü

properties.serverKeyName

string

Sunucu anahtarının adı.

properties.serverKeyType

ServerKeyType

'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü.

properties.subregion

string

Şifreleme koruyucusunun alt kaydı.

properties.thumbprint

string

Sunucu anahtarının parmak izi.

properties.uri

string

Sunucu anahtarının URI'sini.

systemData

systemData

Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri.

type

string

Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları"

EncryptionProtectorListResult

EncryptionProtector listesi işleminin yanıtı.

Name Tür Description
nextLink

string (uri)

Öğelerin bir sonraki sayfasına bağlantı

value

EncryptionProtector[]

Bu sayfadaki EncryptionProtector öğeleri

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

ServerKeyType

'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü.

Değer Description
ServiceManaged

ServiceManaged

AzureKeyVault

AzureKeyVault

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.